# TextButtonMode class

Configuration of the 'preview' button in 'text button mode'.

Inheritance
  - Object
  - PreviewButton
  - TextButtonMode

## Constructors

TextButtonMode({String accessibilityDescription = "?accessibilityDescriptionCameraPreviewButton", StyledText? style})
TextButtonMode.fromJson(Map<String, dynamic> json)
  factory

## Properties

accessibilityDescription ↔ String
  The text to be read when the 'preview' button is selected via the accessibility mode. Default is "?accessibilityDescriptionCameraPreviewButton"
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
style ↔ StyledText
  Configuration of the text style for the 'preview' button.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited